This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 674325 - (CVE-2011-0284) CVE-2011-0284 krb5 (krb5kdc): Double-free flaw by handling error messages upon receiving certain AS_REQ's (MITKRB5-SA-2011-003)
CVE-2011-0284 krb5 (krb5kdc): Double-free flaw by handling error messages upo...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://web.mit.edu/kerberos/advisorie...
public=20110315,reported=20110120,sou...
: Security
Depends On: 681564 681565 688094
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-01 08:37 EST by Jan Lieskovsky
Modified: 2016-06-02 15:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 11:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch from Nalin Dahyabhai to fix the issue (778 bytes, patch)
2011-02-01 08:44 EST, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-02-01 08:37:30 EST
A double-free flaw was found in the way the MIT Kerberos
KDC handled initial authentication requests (AS-REQ), when
the KDC was configured to provide the PKINIT capability.
A remote attacker could use this flaw to cause the KDC
daemon to abort by using a specially-crafted AS-REQ request. 
Different vulnerability than CVE-2010-1320 and CVE-2005-1174.
Comment 2 Jan Lieskovsky 2011-02-01 08:44:27 EST
Created attachment 476397 [details]
Proposed patch from Nalin Dahyabhai to fix the issue
Comment 3 Jan Lieskovsky 2011-02-01 08:45:57 EST
This issue did NOT affect the versions of the krb5 package, as shipped
with Red Hat Enterprise Linux 3, 4, or 5.

This issue affects the version of the krb5 package, as shipped 
with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the krb5 package, as shipped with
Fedora release of 13 and 14.
Comment 7 Jan Lieskovsky 2011-02-04 06:01:27 EST
The CVE identifier of CVE-2011-0284 has been assigned to this issue.
Comment 16 Tomas Hoger 2011-03-15 15:25:01 EDT
Public now via:
  http://web.mit.edu/Kerberos/advisories/MITKRB5-SA-2011-003.txt
Comment 17 errata-xmlrpc 2011-03-16 06:11:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0356 https://rhn.redhat.com/errata/RHSA-2011-0356.html
Comment 18 Huzaifa S. Sidhpurwala 2011-03-16 06:17:11 EDT
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 688094]

Note You need to log in before you can comment on or make changes to this bug.